Index: manager.h
===================================================================
--- manager.h	(.../trunk/include/asterisk/manager.h)	(revision 43223)
+++ manager.h	(.../team/anthonyl/5240-testing/include/asterisk/manager.h)	(revision 43223)
@@ -101,11 +101,28 @@
 	const char *synopsis,
 	const char *description);
 
+struct ast_manager_user {
+	char username[80];
+	char *secret;
+	char *deny;
+	char *permit;
+	char *read;
+	char *write;
+	unsigned int displayconnects:1;
+	struct ast_manager_user *next;
+};
+
 /*! Unregister a registred manager command */
 /*!	\param action Name of registred Action:
 */
 int ast_manager_unregister( char *action );
 
+/*! Add a manager_user to current list of manager */
+int *ast_manager_add(struct ast_manager_user *amu);
+
+/*! Get an manager by his name */
+struct ast_manager_user *ast_get_manager_by_name_locked(const char *name);
+
 /*! External routines may send asterisk manager events this way */
 /*! 	\param category	Event category, matches manager authorization
 	\param event	Event name
@@ -133,5 +150,11 @@
 int init_manager(void);
 /*! Called by Asterisk initialization */
 int reload_manager(void);
+/*! Add a manager_user to current list of manager */
+int *ast_manager_add(struct ast_manager_user *amu);
+int *ast_manager_user_add(struct ast_manager_user *amu);
+/*! Get an manager by his name */
+struct ast_manager_user *ast_get_manager_by_name_locked(const char *name);
 
+
 #endif /* _ASTERISK_MANAGER_H */
